# README

Evaluation results of the superpixel algorithm TPS, described in [1]:

    [1] D. Tang, H. Fu, X. Cao. Topology preserved regular superpixel. International Conference on Multimedia and Expo, pages 765768, 2012.

TPS was evaluated as part of the bachelor thesis [2]. See [2] for details on the benchmark and datasets used. The benchmark is available online at [https://github.com/davidstutz/extended-berkeley-segmentation-benchmark](https://github.com/davidstutz/extended-berkeley-segmentation-benchmark).

    [2] D. Stutz, A. Hermans, B. Leibe. Superpixel Segmentation using Depth Information. Bachelor Thesis, RWTH Aachen University, Aachen, Germany, September 2014.

When using these results or the corresponding benchmark, please cite [2] as follows:

    @misc{StutzHermansLeibe:2014,
        author = {David Stutz and Alexander Hermans and Bastian Leibe},
        title = {Superpixel Segmentation using Depth Information},
        month = {September},
        year = {2014},
        institution = {RWTH Aachen University},
        address = {Aachen, Germany},
        howpublished = {http://davidstutz.de/},
    }

**`.txt` files contain evaluation results annotated as explained below (`-bsd` for the BSDS500 and `-nyu` for the NYU Depth V2), images where used for qualitative evaluation.**

Explanations:

* `UE` - Undersegmentation Error
* `Rec` - Boundary Recall
* `bestCO` - best Compactness
* `avgCO` - average Compactness
* `worstCO` - worst Compactness
* `ASA` - Achievable Segmentation Accuracy
* `EV` - Explained Variation
* `xySSE` - Sum-of-Squared Error for (x,y)-coordinates
* `rgbSSE` - Sum-of-Squared Error for (r,g,b)-color
* `K` - average number of superpixels
* `t` - average time in seconds